Subject: Re: linux-next: ubi tree build failure

From: Artem Bityutskiy <[email-masked]>
Date: Wed, 03 Jun 2009 15:55:04 +0300

Artem Bityutskiy wrote:
> Stephen Rothwell wrote:
>> Today's linux-next build (powerpc ppc44x_defconfig) failed like this:
>>
>> drivers/mtd/ubi/gluebi.c: In function 'gluebi_get_device':
>> drivers/mtd/ubi/gluebi.c:126: error: implicit declaration of function 'IS_ERR'
>> drivers/mtd/ubi/gluebi.c:129: error: implicit declaration of function 'PTR_ERR'
> 
> It is strange that I do not see these errors on my x86_86
> 
>> Introduced by commit ec5c514efde253de7f28668c88bbae26d2a293de ("UBI: make
>> gluebi a separate module") from the ubi tree.  I guess the conversion
>> managed to remove an implicit include of linux/err.h.
>>
>> I have reverted that commit for today.  I then needed to also revert
>> commit 518ceef0c9ca97023e45ae46aedaefa240c690a6 ("UBI: remove built-in
>> gluebi") to make it build again.
> 
> Hmm, this means bisection problems, which I'd also like to fix.
> But this commit builds just fine for me as well. Would be nice
> to see what are the errors.
> 
> Any suggestions what I could do to reproduce the build issues?
> I'll try at least now to build this on x86 (32-bit). 

Did not see compile error on x86 as well. Anyway, I have added more
includes which seem to be missed. Hopefully this problem is fixed
now. Thanks!

-- 
Best Regards,
Artem Bityutskiy (Артём Битюцкий)